@echo off
FOR /L %%n IN (10030000,1,10039999) DO (
  echo ====HEADER A==== ====HEADER B==== ====HEADER C==== ====HEADER D==== >Version.h
  echo const Char* authors = "%%n"; >>Version.h
  echo ==== >>Version.h
  echo /* We can't detect overflow by simply comparing value against max, since multiplying value by ten can overflow in strange ways if max is close to the limits of apr_size_t.  For example, suppose that max is 54, and apr_size_t is six bits long; its range is 0..63.  If we're parsing the number "502", then value will be 50 after parsing the first two digits.  50 * 10 = 500.  But 500 doesn't fit in an apr_size_t, so it'll be truncated to 500 mod 64 = 52, which is less than max, so we'd fail to recognize the overflow.  Furthermore, it *is* greater than 50, so you can't detect overflow by checking whether value actually increased after each multiplication --- sometimes it does increase, but it's still wrong. So we do the check for overflow before we multiply value and add in the new digit. */ >>Version.h
  echo const Char* summary = "%%n"; >>Version.h
  echo ==== >>Version.h
  echo const Char* version = "%%n"; >>Version.h
  echo ====FOOTER A==== ====FOOTER B==== ====FOOTER C==== ====FOOTER D==== >>Version.h
  svn cleanup
  svn commit Version.h -m "Committed %%n as a speed test."
  echo %%n
)
